searchNodes=[{"ref":"Ueberauth.Strategy.Google.html","title":"Ueberauth.Strategy.Google","type":"module","doc":"Google Strategy for Überauth."},{"ref":"Ueberauth.Strategy.Google.html#auth/1","title":"Ueberauth.Strategy.Google.auth/1","type":"function","doc":""},{"ref":"Ueberauth.Strategy.Google.html#credentials/1","title":"Ueberauth.Strategy.Google.credentials/1","type":"function","doc":"Includes the credentials from the google response."},{"ref":"Ueberauth.Strategy.Google.html#default_options/0","title":"Ueberauth.Strategy.Google.default_options/0","type":"function","doc":""},{"ref":"Ueberauth.Strategy.Google.html#extra/1","title":"Ueberauth.Strategy.Google.extra/1","type":"function","doc":"Stores the raw information (including the token) obtained from the google callback."},{"ref":"Ueberauth.Strategy.Google.html#handle_request!/1","title":"Ueberauth.Strategy.Google.handle_request!/1","type":"function","doc":"Handles initial request for Google authentication."},{"ref":"Ueberauth.Strategy.Google.html#info/1","title":"Ueberauth.Strategy.Google.info/1","type":"function","doc":"Fetches the fields to populate the info section of the Ueberauth.Auth struct."},{"ref":"Ueberauth.Strategy.Google.html#uid/1","title":"Ueberauth.Strategy.Google.uid/1","type":"function","doc":"Fetches the uid field from the response."},{"ref":"Ueberauth.Strategy.Google.OAuth.html","title":"Ueberauth.Strategy.Google.OAuth","type":"module","doc":"OAuth2 for Google. Add client_id and client_secret to your configuration: config :ueberauth, Ueberauth.Strategy.Google.OAuth, client_id: System.get_env(&quot;GOOGLE_APP_ID&quot;), client_secret: System.get_env(&quot;GOOGLE_APP_SECRET&quot;)"},{"ref":"Ueberauth.Strategy.Google.OAuth.html#authorize_url/2","title":"Ueberauth.Strategy.Google.OAuth.authorize_url/2","type":"function","doc":"Builds the URL to the authorization endpoint. Example def authorize_url(client, params) do client |&gt; put_param(:response_type, &quot;code&quot;) |&gt; put_param(:client_id, client.client_id) |&gt; put_param(:redirect_uri, client.redirect_uri) |&gt; merge_params(params) end Callback implementation for OAuth2.Strategy.authorize_url/2."},{"ref":"Ueberauth.Strategy.Google.OAuth.html#authorize_url!/2","title":"Ueberauth.Strategy.Google.OAuth.authorize_url!/2","type":"function","doc":"Provides the authorize url for the request phase of Ueberauth. No need to call this usually."},{"ref":"Ueberauth.Strategy.Google.OAuth.html#client/1","title":"Ueberauth.Strategy.Google.OAuth.client/1","type":"function","doc":"Construct a client for requests to Google. This will be setup automatically for you in Ueberauth.Strategy.Google. These options are only useful for usage outside the normal callback phase of Ueberauth."},{"ref":"Ueberauth.Strategy.Google.OAuth.html#get/4","title":"Ueberauth.Strategy.Google.OAuth.get/4","type":"function","doc":""},{"ref":"Ueberauth.Strategy.Google.OAuth.html#get_access_token/2","title":"Ueberauth.Strategy.Google.OAuth.get_access_token/2","type":"function","doc":""},{"ref":"Ueberauth.Strategy.Google.OAuth.html#get_token/3","title":"Ueberauth.Strategy.Google.OAuth.get_token/3","type":"function","doc":"Builds the URL to the token endpoint. Example def get_token(client, params, headers) do client |&gt; put_param(:code, params[:code]) |&gt; put_param(:grant_type, &quot;authorization_code&quot;) |&gt; put_param(:client_id, client.client_id) |&gt; put_param(:client_secret, client.client_secret) |&gt; put_param(:redirect_uri, client.redirect_uri) |&gt; merge_params(params) |&gt; put_headers(headers) end Callback implementation for OAuth2.Strategy.get_token/3."},{"ref":"readme.html","title":"Überauth Google","type":"extras","doc":"Überauth Google Google OAuth2 strategy for Überauth."},{"ref":"readme.html#installation","title":"Überauth Google - Installation","type":"extras","doc":"Setup your application at Google Developer Console. Add :ueberauth_google to your list of dependencies in mix.exs: def deps do [{:ueberauth_google, &quot;~&gt; 0.10&quot;}] end Add the strategy to your applications: def application do [applications: [:ueberauth_google]] end Add Google to your Überauth configuration: config :ueberauth, Ueberauth, providers: [ google: {Ueberauth.Strategy.Google, []} ] Update your provider configuration: Use that if you want to read client ID/secret from the environment variables in the compile time: config :ueberauth, Ueberauth.Strategy.Google.OAuth, client_id: System.get_env(&quot;GOOGLE_CLIENT_ID&quot;), client_secret: System.get_env(&quot;GOOGLE_CLIENT_SECRET&quot;) Use that if you want to read client ID/secret from the environment variables in the run time: config :ueberauth, Ueberauth.Strategy.Google.OAuth, client_id: {System, :get_env, [&quot;GOOGLE_CLIENT_ID&quot;]}, client_secret: {System, :get_env, [&quot;GOOGLE_CLIENT_SECRET&quot;]} Include the Überauth plug in your controller: defmodule MyApp.AuthController do use MyApp.Web, :controller plug Ueberauth ... end Create the request and callback routes if you haven&#39;t already: scope &quot;/auth&quot;, MyApp do pipe_through :browser get &quot;/:provider&quot;, AuthController, :request get &quot;/:provider/callback&quot;, AuthController, :callback end Your controller needs to implement callbacks to deal with Ueberauth.Auth and Ueberauth.Failure responses. For an example implementation see the Überauth Example application."},{"ref":"readme.html#calling","title":"Überauth Google - Calling","type":"extras","doc":"Depending on the configured url you can initiate the request through: /auth/google Or with options: /auth/google?scope=email%20profile By default the requested scope is &quot;email&quot;. Scope can be configured either explicitly as a scope query value on the request path or in your configuration: config :ueberauth, Ueberauth, providers: [ google: {Ueberauth.Strategy.Google, [default_scope: &quot;email profile plus.me&quot;]} ] You can also pass options such as the hd parameter to suggest a particular Google Apps hosted domain (caution, can still be overridden by the user), prompt and access_type options to request refresh_tokens and offline access (both have to be present), or include_granted_scopes parameter to allow incremental authorization. config :ueberauth, Ueberauth, providers: [ google: {Ueberauth.Strategy.Google, [hd: &quot;example.com&quot;, prompt: &quot;select_account&quot;, access_type: &quot;offline&quot;, include_granted_scopes: true]} ] In some cases, it may be necessary to update the user info endpoint, such as when deploying to countries that block access to the default endpoint. config :ueberauth, Ueberauth, providers: [ google: {Ueberauth.Strategy.Google, [userinfo_endpoint: &quot;https://www.googleapis.cn/oauth2/v3/userinfo&quot;]} ] This may also be set via runtime configuration by passing a 2 or 3 argument tuple. To use this feature, the first argument must be the atom :system, and the second argument must represent the environment variable containing the endpoint url. A third argument may be passed representing a default value if the environment variable is not found, otherwise the library default will be used. config :ueberauth, Ueberauth, providers: [ google: {Ueberauth.Strategy.Google, [ userinfo_endpoint: {:system, &quot;GOOGLE_USERINFO_ENDPOINT&quot;, &quot;https://www.googleapis.cn/oauth2/v3/userinfo&quot;} ]} ] To guard against client-side request modification, it&#39;s important to still check the domain in info.urls[:website] within the Ueberauth.Auth struct if you want to limit sign-in to a specific domain."},{"ref":"readme.html#license","title":"Überauth Google - License","type":"extras","doc":"Please see LICENSE for licensing details."},{"ref":"contributing.html","title":"Contributing to Ueberauth Google","type":"extras","doc":"Contributing to Ueberauth Google"},{"ref":"contributing.html#pull-requests-welcome","title":"Contributing to Ueberauth Google - Pull Requests Welcome","type":"extras","doc":"Fork ueberauth_google Create a topic branch Make logically-grouped commits with clear commit messages Push commits to your fork Open a pull request against ueberauth_google/master"},{"ref":"contributing.html#issues","title":"Contributing to Ueberauth Google - Issues","type":"extras","doc":"If you believe there to be a bug, please provide the maintainers with enough detail to reproduce or a link to an app exhibiting unexpected behavior. For help, please start with Stack Overflow."}]